Contenu | Rechercher | Menus

Annonce

L'équipe des administrateurs et modérateurs du forum vous invite à prendre connaissance des nouvelles règles.
En cas de besoin, vous pouvez intervenir dans cette discussion.

N'oubliez pas de cocher la case « Ajustement pour l'heure d'été » dans votre profil.

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Pour en savoir un peu plus sur l'équipe du forum.

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#26 Le 07/12/2017, à 14:56

joel49

Re : Nouvelle version de Pap'rass (gestion documentaire)

Merci, et désolé pour le travail que cela peut occasionner. Ma consolation, que cette suite d'aléas puisse servir à quelqu'un.

Hors ligne

#27 Le 07/12/2017, à 16:42

bipede

Re : Nouvelle version de Pap'rass (gestion documentaire)

joel49 a écrit :

Merci, et désolé pour le travail que cela peut occasionner. Ma consolation, que cette suite d'aléas puisse servir à quelqu'un.

Ne sois pas désolé, au moins ça me permet d'améliorer le produit.
La nouvelle version est disponible sous ce lien
Avec ça, j'espère que ton scanner fonctionnera...


Desktop: MSI - Intel® Core™ i5-3330 CPU @ 3.00GHz × 4 - RAM 8 go- Ubuntu 18.04 - Système sur SSD 64 Go - /home sur HDD 500 Go.
Laptop: DELL Inspiron-15 3567 - Intel® Core™ i5-7200 CPU @ 2.50GHz × 4 - RAM 8 go - HDD 1 To - Ubuntu 18.04 avec /home séparé.

Mon site: Les contributions du bipède

Hors ligne

#28 Le 07/12/2017, à 23:57

joel49

Re : Nouvelle version de Pap'rass (gestion documentaire)

Bonjour,



Ce n'est pas encore pour cette fois:

joel@joelUbuntu:~/Téléchargements/paprass-src$ ./paprass.py

Traceback (most recent call last):

  File "/usr/lib/python3.5/configparser.py", line 786, in get

    value = d[option]

  File "/usr/lib/python3.5/collections/init.py", line 878, in getitem

    return self.__missing__(key)            # support subclasses that define __missing__

  File "/usr/lib/python3.5/collections/init.py", line 870, in missing

    raise KeyError(key)

KeyError: 'model'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

  File "./paprass.py", line 236, in onScan

    scan = scanner.getScanner(self, cfg)

  File "/home/joel/Téléchargements/paprass-src/scanner.py", line 38, in getScanner

    scanner['model'] = config.get("scanner", "model")

  File "/usr/lib/python3.5/configparser.py", line 789, in get

    raise NoOptionError(option, section)

configparser.NoOptionError: No option 'model' in section: 'scanner'

Hors ligne

#29 Le 08/12/2017, à 09:46

bipede

Re : Nouvelle version de Pap'rass (gestion documentaire)

C'est vraisemblablement du à tes tentatives précédentes et un fichier de config doit être vérolé.
Vas dans le dossier /home/joel/.paprass et supprime le fichier paprass.cfg
Pour voir le dossier depuis Nautilus tu dois activer la visualisation des fichiers cachés.
sinon depuis un terminal tu te positionnes dans le dossier:

cd .paprass

puis tu supprimes

rm paprass.cfg

Ensuite tu relances Paprass et il va reconfigurer le scanner.

Dernière modification par bipede (Le 08/12/2017, à 09:46)


Desktop: MSI - Intel® Core™ i5-3330 CPU @ 3.00GHz × 4 - RAM 8 go- Ubuntu 18.04 - Système sur SSD 64 Go - /home sur HDD 500 Go.
Laptop: DELL Inspiron-15 3567 - Intel® Core™ i5-7200 CPU @ 2.50GHz × 4 - RAM 8 go - HDD 1 To - Ubuntu 18.04 avec /home séparé.

Mon site: Les contributions du bipède

Hors ligne

#30 Le 08/12/2017, à 11:39

joel49

Re : Nouvelle version de Pap'rass (gestion documentaire)

Bonjour,

bipede

C'est vraisemblablement du à tes tentatives précédentes et un fichier de config doit être vérolé.

C'est avec plaisir que je t'annonce que tout fonctionne parfaitement.

Plusieurs tentatives ont été nécessaires; j'ai viré dans les fichiers cachés tout ce qui concernait « paprass », et la reconnaissance de mon scanner s'est faite par la suite.

Je passe maintenant en mode découverte.

Encore tous mes remerciements pour ta disponibilité et la création de ce programme qui est d'une utilité certaine.

Hors ligne

#31 Le 08/12/2017, à 12:44

bipede

Re : Nouvelle version de Pap'rass (gestion documentaire)

joel49 a écrit :

Bonjour,

Je passe maintenant en mode découverte.

Encore tous mes remerciements pour ta disponibilité et la création de ce programme qui est d'une utilité certaine.

C'est moi qui te remercie pour ta pugnacité qui m'a permis de fiabiliser le module de reconnaissance du scanner.

À+


Desktop: MSI - Intel® Core™ i5-3330 CPU @ 3.00GHz × 4 - RAM 8 go- Ubuntu 18.04 - Système sur SSD 64 Go - /home sur HDD 500 Go.
Laptop: DELL Inspiron-15 3567 - Intel® Core™ i5-7200 CPU @ 2.50GHz × 4 - RAM 8 go - HDD 1 To - Ubuntu 18.04 avec /home séparé.

Mon site: Les contributions du bipède

Hors ligne

#32 Le 19/12/2017, à 21:35

hr

Re : Nouvelle version de Pap'rass (gestion documentaire)

Je n’ai pas eu le temps de m’y remettre avant aujourd’hui mais cette fois j’ai pu lancer la nouvelle version avec

./paprass.py

et classer quelques documents pour comprendre le fonctionnement général.

J’ai créé un Paprass.desktop pour lancer l’application classiquement, c’est à dire depuis le lanceur.

Ça m’a l’air pas mal du tout jusqu’ici, du moins fonctionnellement mais bizarrement le texte des documents en PDF est presque illisible, que le PDF soit créé directement ou importé. Les images sont affichées correctement, par contre.
Je vais continuer à l’essayer avec divers documents.

Dernière modification par hr (Le 19/12/2017, à 21:36)


Trois PC de bureau et un MacBook, tous datant des environs de 2006 et tournant en Ubuntu 16.04 64 bits

Hors ligne

#33 Le 21/12/2017, à 11:36

bipede

Re : Nouvelle version de Pap'rass (gestion documentaire)

@hr
J'ai mis en ligne une nouvelle révision de Paprass (5.03) dans laquelle j'ai optimisé l'affichage des PDF. Ce n'est pas encore nickel mais c'est quand même meilleur. Je peux difficilement faire mieux car je suis limité par les contraintes liées à la lib popplerQt5.
J'en ai profité pour éliminer un bug lié au renommage d'un document depuis le module de recherche...
Les sources peuvent être récupérés sous ce lien.
Le binaire se trouve sous ce lien.
Il suffit de décompresser et de remplacer purement et simplement le répertoire de l'ancienne version.
Les données sont préservées sous ~/.paprass et sont reprises automatiquement à chaque changement de version.


Desktop: MSI - Intel® Core™ i5-3330 CPU @ 3.00GHz × 4 - RAM 8 go- Ubuntu 18.04 - Système sur SSD 64 Go - /home sur HDD 500 Go.
Laptop: DELL Inspiron-15 3567 - Intel® Core™ i5-7200 CPU @ 2.50GHz × 4 - RAM 8 go - HDD 1 To - Ubuntu 18.04 avec /home séparé.

Mon site: Les contributions du bipède

Hors ligne

#34 Le 26/12/2017, à 21:17

hr

Re : Nouvelle version de Pap'rass (gestion documentaire)

J’ai essayé mais j’ai de nouveau le même problème de GLIBC_2.25

Mais ensuite j’ai téléchargé ta version 5.4 en source et là ça a marché.
Oui les textes des pdf sont plus lisibles. Ça reste un peu gribouilleux mais c’est un léger progrès.

Dernière modification par hr (Le 26/12/2017, à 21:38)


Trois PC de bureau et un MacBook, tous datant des environs de 2006 et tournant en Ubuntu 16.04 64 bits

Hors ligne

#35 Le 27/12/2017, à 11:58

bipede

Re : Nouvelle version de Pap'rass (gestion documentaire)

hr a écrit :

Oui les textes des pdf sont plus lisibles. Ça reste un peu gribouilleux mais c’est un léger progrès.

Quand tu zoomes avec la mollette de la souris c'est bien plus lisible...


Desktop: MSI - Intel® Core™ i5-3330 CPU @ 3.00GHz × 4 - RAM 8 go- Ubuntu 18.04 - Système sur SSD 64 Go - /home sur HDD 500 Go.
Laptop: DELL Inspiron-15 3567 - Intel® Core™ i5-7200 CPU @ 2.50GHz × 4 - RAM 8 go - HDD 1 To - Ubuntu 18.04 avec /home séparé.

Mon site: Les contributions du bipède

Hors ligne

#36 Le 17/01/2018, à 15:30

joel49

Re : Nouvelle version de Pap'rass (gestion documentaire)

Bonjour,

Depuis deux jours, je suis incapable de lancer Paprass. Ci-joint le message d'erreur.

joel@joelUbuntu:~/Documents/Paprass$ ./Paprass

[19687] Error loading Python lib '/home/joel/Documents/Paprass/libpython3.6m.so.1.0': dlopen: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.25' not found (required by /home/joel/Documents/Paprass/libpython3.6m.so.1.0)

joel@joelUbuntu:~/Documents/Paprass$ 

La dernière fois que j'ai utilisé Paprass remonte à une quinzaine de jours, et aucuns soucis notables. Très certainement que durant ce laps de temps quelques «mises à jour» sont venues perturber l'ambiance.(ce n'est qu'une simple supposition car je suis bien incapable de cerner l'origine du problème).

À priori GLIB 2.25 semble être la version attendue,...bref, je ne vois pas comment solutionner l'affaire.

Ps; il n'y a aucune urgence dans la résolution éventuelle du problème. Merci de m'avoir lu.

Dernière modification par joel49 (Le 17/01/2018, à 15:31)

Hors ligne

#37 Le 21/01/2018, à 13:16

bipede

Re : Nouvelle version de Pap'rass (gestion documentaire)

Le mieux est de récupérer le source comme indiqué sur mon site.
J'ai créé l'exécutable avec pyinstaller sous Ubuntu 17.10 et il semble que la GLIBC de la 17.10 n'est pas présente partout...

Le fait d'utiliser le script python plutôt que le binaire ne changera rien à ton utilisation de Pap'rass et tu retrouvera tes documents en toute transparence.

Dernière modification par bipede (Le 21/01/2018, à 13:18)


Desktop: MSI - Intel® Core™ i5-3330 CPU @ 3.00GHz × 4 - RAM 8 go- Ubuntu 18.04 - Système sur SSD 64 Go - /home sur HDD 500 Go.
Laptop: DELL Inspiron-15 3567 - Intel® Core™ i5-7200 CPU @ 2.50GHz × 4 - RAM 8 go - HDD 1 To - Ubuntu 18.04 avec /home séparé.

Mon site: Les contributions du bipède

Hors ligne

#38 Le 23/01/2018, à 00:07

joel49

Re : Nouvelle version de Pap'rass (gestion documentaire)

Bonjour,

Le problème persiste, même en utilisant les sources: ci-joint le message retourné par le terminal.

joel@joelUbuntu:~/Téléchargements/paprass-src$ ./paprass.py

Erreur de segmentation (core dumped)

joel@joelUbuntu:~/Téléchargements/paprass-src$ 

Concernant mes documents traités, pas de souci, ils sont dans «home/joel/.paprass/data/documents/2017»

Dernière modification par joel49 (Le 23/01/2018, à 00:08)

Hors ligne

#39 Le 23/01/2018, à 08:45

bipede

Re : Nouvelle version de Pap'rass (gestion documentaire)

Sur quel version de linux es-tu ?
Qu'as-tu fait comme maj pour que ça ne fonctionne plus ?
Pour faire fonctionner pap'rass depuis les sources tu dois avoir installé les paquets:

python3-pyqt5
python3-pil
python3-reportlab
python3-poppler-qt5
sane-utils


Desktop: MSI - Intel® Core™ i5-3330 CPU @ 3.00GHz × 4 - RAM 8 go- Ubuntu 18.04 - Système sur SSD 64 Go - /home sur HDD 500 Go.
Laptop: DELL Inspiron-15 3567 - Intel® Core™ i5-7200 CPU @ 2.50GHz × 4 - RAM 8 go - HDD 1 To - Ubuntu 18.04 avec /home séparé.

Mon site: Les contributions du bipède

Hors ligne

#40 Le 24/01/2018, à 00:22

joel49

Re : Nouvelle version de Pap'rass (gestion documentaire)

Bonjour,

Ma version Ubuntu; 16.04 LTS.

Les mises à jour effectuées sont celles de sécurité notamment liées au affaires des failles «Meltdown et Spectre». La toute dernière celle concernant le noyau 4.4.0-112

joel@joelUbuntu:~$ uname -a

Linux joelUbuntu 4.4.0-112-generic #135-Ubuntu SMP Fri Jan 19 11:48:36 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

joel@joelUbuntu:~$ 

Mon processeur, «Intel® Core™ i5-3470 CPU @ 3.20GHz × 4 » donc très concerné par les évènnements récents.

Concernant ces 5 paquets;

python3-pyqt5

python3-pil

python3-reportlab

python3-poppler-qt5

sane-utils

Ils sont tous installées, donc ce n'est pas de ce côté qu'il faut chercher.

Mon avis sur le sujet; En l'état actuel des choses, j'ai fortement l'impression que ces mises à jour sur le noyau concernant les failles «Meltdown et Spectre» sont bien responsables du problème, et il n'y a pas grand chose à espérer.

Peut être existe t'il d'autres personnes concernées par ce désagrément ?

Hors ligne

#41 Le 24/01/2018, à 09:17

bipede

Re : Nouvelle version de Pap'rass (gestion documentaire)

J'ai également un core i5 mais je tourne sous 17.10 avec le noyau 4.13-35 patché pour les failles CPU et je ne rencontre pas le problème.
Je pense qu'il y a une lib qui déconne sur ton système. Il me semble me rappeler qu'à une époque certaines versions de python3-poppler-qt5 étaient vérolées.
Comme tu rencontres l'erreur de segmentation dès le lancement, je suppute que c'est un import qui la provoque.
Tu devrais ouvrir un terminal et lancer l'interpréteur python3.
Ensuite tu tentes ces imports les uns après les autres:

alain@alain-MS-7758:~$ python3
Python 3.6.3 (default, Oct  3 2017, 21:45:48) 
[GCC 7.2.0] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> from PIL import Image

puis

>>> from PIL import ImageQt

puis

>>> import PyQt5

puis

>>> from popplerqt5 import Poppler

puis

>>> import reportlab

Si tu as une erreur de segmentation sur un de ces imports, c'est la lib en question qui est vérolée.


Desktop: MSI - Intel® Core™ i5-3330 CPU @ 3.00GHz × 4 - RAM 8 go- Ubuntu 18.04 - Système sur SSD 64 Go - /home sur HDD 500 Go.
Laptop: DELL Inspiron-15 3567 - Intel® Core™ i5-7200 CPU @ 2.50GHz × 4 - RAM 8 go - HDD 1 To - Ubuntu 18.04 avec /home séparé.

Mon site: Les contributions du bipède

Hors ligne

#42 Le 24/01/2018, à 14:43

joel49

Re : Nouvelle version de Pap'rass (gestion documentaire)

Bonjour,

Ci-joint ce que me sort le terminal concernant ma version 3.5.2 de Phython3 installée sur mon système.

joel@joelUbuntu:~$ python3

Python 3.5.2 (default, Nov 23 2017, 16:37:01) 

[GCC 5.4.0 20160609] on linux

Type "help", "copyright", "credits" or "license" for more information.

from PIL import ImageQt

import PyQt5

from popplerqt5 import Poppler

Erreur de segmentation (core dumped)

joel@joelUbuntu:~$ import reportlab

joel@joelUbuntu:~$ 

Effectivement, une erreur au niveau de «popplerqt5»

Je réinstalle le paquet via Synaptic, et je tente de relancer Paprass.

joel@joelUbuntu:~/Documents/Paprass$ ./Paprass

[16039] Error loading Python lib '/home/joel/Documents/Paprass/libpython3.6m.so.1.0': dlopen: /lib/x86_64-linux-gnu/libc.so.6: version `GLIBC_2.25' not found (required by /home/joel/Documents/Paprass/libpython3.6m.so.1.0

joel@joelUbuntu:~/Documents/Paprass$ 

Pas de succès. Normal car toujours cette histoire de GLIB_2.25

Pour ce qui concerne le lancement par les sources,

joel@joelUbuntu:~/Téléchargements/paprass-src$ ./paprass.py

Erreur de segmentation (core dumped)

joel@joelUbuntu:~/Téléchargements/paprass-src$

Même chose. Peut être que la solution passerait par une installation de Python3 version 3.6.3...?

Hors ligne

#43 Le 24/01/2018, à 18:34

bipede

Re : Nouvelle version de Pap'rass (gestion documentaire)

Effectivement, c'est la lib python3-poppler.qt5 qui est vérolée et il me semble bien que j'avais rencontré le problème sur la 17.04.

Ce n'est pas une bonne idée d'upgrader python car les distributions ont de nombreuses dépendances qui y sont liées, et ça pourrait t'occasionner des désagréments.

La version 0.24.2-1 de poppler-qt5 est signalée comme inutilisable par Debian. Quelle version as-tu sur ta machine ?


Desktop: MSI - Intel® Core™ i5-3330 CPU @ 3.00GHz × 4 - RAM 8 go- Ubuntu 18.04 - Système sur SSD 64 Go - /home sur HDD 500 Go.
Laptop: DELL Inspiron-15 3567 - Intel® Core™ i5-7200 CPU @ 2.50GHz × 4 - RAM 8 go - HDD 1 To - Ubuntu 18.04 avec /home séparé.

Mon site: Les contributions du bipède

Hors ligne

#44 Le 24/01/2018, à 21:26

joel49

Re : Nouvelle version de Pap'rass (gestion documentaire)

Bonsoir,

Sur mon système, c'est la version 0.24.2-1build1.

Il y a un «truc» qui m'étonne, comment se fait-il qu'une version «vérolée» d'un paquet puisse continuer à être proposée dans synaptic alors que j'ai cru voir une version 0.24.2-3 sur le site package Debian ??

Bref, ça ne résoud pas le problème.

Hors ligne

#45 Le 25/01/2018, à 12:55

bipede

Re : Nouvelle version de Pap'rass (gestion documentaire)

joel49 a écrit :

Bonsoir,

Sur mon système, c'est la version 0.24.2-1build1.

Il y a un «truc» qui m'étonne, comment se fait-il qu'une version «vérolée» d'un paquet puisse continuer à être proposée dans synaptic alors que j'ai cru voir une version 0.24.2-3 sur le site package Debian ??

Bref, ça ne résoud pas le problème.

Surtout que c'est une mise à jour qui t'a mis en place la version merdique...
La seule alternative que tu as c'est de désinstaller cette version et d'installer la dernière Debian.
Elle est disponible en .deb.

Dernière modification par bipede (Le 25/01/2018, à 12:58)


Desktop: MSI - Intel® Core™ i5-3330 CPU @ 3.00GHz × 4 - RAM 8 go- Ubuntu 18.04 - Système sur SSD 64 Go - /home sur HDD 500 Go.
Laptop: DELL Inspiron-15 3567 - Intel® Core™ i5-7200 CPU @ 2.50GHz × 4 - RAM 8 go - HDD 1 To - Ubuntu 18.04 avec /home séparé.

Mon site: Les contributions du bipède

Hors ligne